oyNamedColors_s Struct Reference
Description: C source code API documentation for the Oyranos project.
Keywords: Oyranos,Color Management,Color Management,ICC,CMS,C,doxygen,API,documentation

| Oyranos Color Management System API - Version 0.9.6

Public Member Functions | Data Fields
oyNamedColors_s Struct Reference
Color » Named Colors

List of Single Color objects. More...

`#include <oyNamedColors_s.h>`

Inherits oyList_s.

Collaboration diagram for oyNamedColors_s:

## Public Member Functions
OYAPI oyNamedColors_s *OYEXPORT | oyNamedColors_New (oyObject_s object)
| allocate a new NamedColors object More...
| oyNamedColors_Copy
| Copy or Reference a NamedColors object. More...
OYAPI int OYEXPORT | oyNamedColors_Release (oyNamedColors_s **namedcolors)
| release and possibly deallocate a oyNamedColors_s object More...
OYAPI int OYEXPORT | oyNamedColors_MoveIn (oyNamedColors_s *list, oyNamedColor_s **obj, int pos)
| add an element to a NamedColors list More...
OYAPI int OYEXPORT | oyNamedColors_ReleaseAt (oyNamedColors_s *list, int pos)
| release a element from a NamedColors list More...
OYAPI oyNamedColor_s *OYEXPORT | oyNamedColors_Get (oyNamedColors_s *list, int pos)
| get a element of a NamedColors list More...
OYAPI int OYEXPORT | oyNamedColors_Count (oyNamedColors_s *list)
| count the elements in a NamedColors list More...
OYAPI int OYEXPORT | oyNamedColors_Clear (oyNamedColors_s *list)
| clear the elements in a NamedColors list More...
OYAPI int OYEXPORT | oyNamedColors_Sort (oyNamedColors_s *list, int32_t *rank_list)
| sort a list according to a rank_list More...
void | oyNamedColors_SetPrefix (oyNamedColors_s *colors, const char *string)
| set name prefix More...
void | oyNamedColors_SetSuffix (oyNamedColors_s *colors, const char *string)
| set name suffix More...
const char * | oyNamedColors_GetPrefix (oyNamedColors_s *colors)
| get name prefix More...
const char * | oyNamedColors_GetSuffix (oyNamedColors_s *colors)
| get name suffix More...
const char * | oyNamedColors_GetColorName (oyNamedColors_s *colors, int pos)
| get full length name More...

## Data Fields
const oyOBJECT_e | type_
| Type of object. More...
oyStruct_Copy_f | copy
| Copy function. More...
oyStruct_Release_f | release
| Release function. More...
oyObject_s | oy_
| Oyranos internal object. More...

## Detailed Description

List of Single Color objects.

Version
  Oyranos: 0.9.5

Since
  2007/10/00 (Oyranos: 0.1.8)

Date
  2013/08/15

## Member Function Documentation

## ◆ oyNamedColors_Clear()

OYAPI int OYEXPORT oyNamedColors_Clear | ( | oyNamedColors_s * | list | ) |

clear the elements in a NamedColors list

Function oyNamedColors_Clear

Parameters

  [in,out] | list | the list

Returns
  0 - success; otherwise - error

Version
  Oyranos: 0.3.0

Since
  2011/02/01 (Oyranos: 0.3.0)

Date
  2011/02/01

References oyOBJECT_NAMED_COLORS_S, and oyStructList_s::oyStructList_Clear().

## ◆ oyNamedColors_Copy()

oyNamedColors_Copy

Copy or Reference a NamedColors object.

The function is for copying and for referencing. The reference is the most often used way, which saves resourcs and time.

Parameters

  [in] | namedcolors | NamedColors struct object
  | object | NULL - means reference, the optional object triggers a real copy

## ◆ oyNamedColors_Count()

OYAPI int OYEXPORT oyNamedColors_Count | ( | oyNamedColors_s * | list | ) |

count the elements in a NamedColors list

Function oyNamedColors_Count

Parameters

  [in,out] | list | the list

Returns
  element count

Version
  Oyranos: 0.1.10

Since
  2010/07/05 (Oyranos: 0.1.10)

Date
  2010/07/05

References oyOBJECT_NAMED_COLORS_S, and oyStructList_s::oyStructList_Count().

## ◆ oyNamedColors_Get()

OYAPI oyNamedColor_s *OYEXPORT oyNamedColors_Get | ( | oyNamedColors_s * | list,
|  | int | pos
| ) |  |

get a element of a NamedColors list

Function oyNamedColors_Get

Parameters

  [in,out] | list | the list
  | pos | position

Version
  Oyranos: 0.1.10

Since
  2010/07/05 (Oyranos: 0.1.10)

Date
  2010/07/05

References oyOBJECT_NAMED_COLOR_S, oyOBJECT_NAMED_COLORS_S, and oyStructList_s::oyStructList_GetRefType().

## ◆ oyNamedColors_GetColorName()

const char * oyNamedColors_GetColorName | ( | oyNamedColors_s * | colors,
|  | int | pos
| ) |  |

get full length name

The name is constructed from suffix, name and prefix.

Parameters

  [in] | colors | Oyranos colors struct pointer
  [in] | pos | nth color in list

Returns
  string

Version
  Oyranos: 0.9.5

Date
  2013/12/12

Since
  2013/09/03 (Oyranos: 0.9.5)

References oyNamedColor_s::oy_, oyNAME_NAME, oyNAME_NICK, oyNamedColor_s::oyNamedColor_GetName(), oyNamedColor_s::oyNamedColor_Release(), oyObject_GetAlloc(), oyObject_GetDeAlloc(), oyObject_GetName(), oyOBJECT_NAMED_COLOR_S, oyOBJECT_NAMED_COLORS_S, oyObject_SetName(), and oyStructList_s::oyStructList_GetRefType().

## ◆ oyNamedColors_GetPrefix()

const char * oyNamedColors_GetPrefix | ( | oyNamedColors_s * | colors | ) |

get name prefix

Parameters

  [in] | colors | Oyranos colors struct pointer

Returns
  prefix string

Version
  Oyranos: 0.9.5

Date
  2013/09/03

Since
  2013/09/03 (Oyranos: 0.9.5)

References oyOBJECT_NAMED_COLORS_S.

## ◆ oyNamedColors_GetSuffix()

const char * oyNamedColors_GetSuffix | ( | oyNamedColors_s * | colors | ) |

get name suffix

Parameters

  [in] | colors | Oyranos colors struct pointer

Returns
  suffix string

Version
  Oyranos: 0.9.5

Date
  2013/09/03

Since
  2013/09/03 (Oyranos: 0.9.5)

References oyOBJECT_NAMED_COLORS_S.

## ◆ oyNamedColors_MoveIn()

OYAPI int OYEXPORT oyNamedColors_MoveIn | ( | oyNamedColors_s * | list,
|  | oyNamedColor_s ** | obj,
|  | int | pos
| ) |  |

add an element to a NamedColors list

Function oyNamedColors_MoveIn

Parameters

  [in] | list | list
  [in,out] | obj | list element
  | pos | position

Version
  Oyranos: 0.1.10

Since
  2010/07/05 (Oyranos: 0.1.10)

Date
  2010/07/05

References oyOBJECT_NAMED_COLOR_S, oyOBJECT_NAMED_COLORS_S, oyStructList_s::oyStructList_Create(), oyStructList_s::oyStructList_MoveIn(), and oyNamedColor_s::type_.

## ◆ oyNamedColors_New()

OYAPI oyNamedColors_s *OYEXPORT oyNamedColors_New | ( | oyObject_s | object | ) |

allocate a new NamedColors object

Function oyNamedColors_New

References oyOBJECT_OBJECT_S.

## ◆ oyNamedColors_Release()

OYAPI int OYEXPORT oyNamedColors_Release | ( | oyNamedColors_s ** | namedcolors | ) |

release and possibly deallocate a oyNamedColors_s object

Function oyNamedColors_Release

Parameters

  [in,out] | namedcolors | NamedColors struct object

References oyOBJECT_NAMED_COLORS_S.

## ◆ oyNamedColors_ReleaseAt()

OYAPI int OYEXPORT oyNamedColors_ReleaseAt | ( | oyNamedColors_s * | list,
|  | int | pos
| ) |  |

release a element from a NamedColors list

Function oyNamedColors_ReleaseAt

Parameters

  [in,out] | list | the list
  | pos | position

Version
  Oyranos: 0.1.10

Since
  2010/07/05 (Oyranos: 0.1.10)

Date
  2010/07/05

References oyOBJECT_NAMED_COLORS_S, oyStructList_s::oyStructList_GetParentObjType(), and oyStructList_s::oyStructList_ReleaseAt().

## ◆ oyNamedColors_SetPrefix()

void oyNamedColors_SetPrefix | ( | oyNamedColors_s * | colors,
|  | const char * | string
| ) |  |

set name prefix

Parameters

  [in] | colors | Oyranos colors struct pointer
  [in] | string | prefix string

Version
  Oyranos: 0.9.5

Date
  2013/08/25

Since
  2013/08/25 (Oyranos: 0.9.5)

References oyObject_GetAlloc(), oyObject_GetDeAlloc(), and oyOBJECT_NAMED_COLORS_S.

## ◆ oyNamedColors_SetSuffix()

void oyNamedColors_SetSuffix | ( | oyNamedColors_s * | colors,
|  | const char * | string
| ) |  |

set name suffix

Parameters

  [in] | colors | Oyranos colors struct pointer
  [in] | string | suffix string

Version
  Oyranos: 0.9.5

Date
  2013/08/25

Since
  2013/08/25 (Oyranos: 0.9.5)

References oyObject_GetAlloc(), oyObject_GetDeAlloc(), and oyOBJECT_NAMED_COLORS_S.

## ◆ oyNamedColors_Sort()

OYAPI int OYEXPORT oyNamedColors_Sort | ( | oyNamedColors_s * | list,
|  | int32_t * | rank_list
| ) |  |

sort a list according to a rank_list

Function oyNamedColors_Sort

Version
  Oyranos: 0.3.0

Since
  2011/02/01 (Oyranos: 0.3.0)

Date
  2011/02/01

## Field Documentation

## ◆ copy

oyStruct_Copy_f oyNamedColors_s::copy

Copy function.

## ◆ oy_

oyObject_s oyNamedColors_s::oy_

Oyranos internal object.

Features name and hash. Do not change during object life time.

## ◆ release

oyStruct_Release_f oyNamedColors_s::release

Release function.

## ◆ type_

const oyOBJECT_e oyNamedColors_s::type_

Type of object.

The struct type tells Oyranos how to interprete hidden fields.